## org.eclipse.jst.jsf.facesconfig.emf.impl
Class RedirectTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.RedirectTypeImpl

All Implemented Interfaces:
  RedirectType

    public class RedirectTypeImpl

extends EObjectImpl
implements RedirectType

An implementation of the model object 'Redirect Type'.

The following features are implemented:

- `View Param`
- `Id`
- `Include View Params`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`EList` `getViewParam()`
`boolean` `isIncludeViewParams()`
`void` `setId(java.lang.String newId)`
`void` `setIncludeViewParams(boolean newIncludeViewParams)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getViewParam

    public EList getViewParam()

  Specified by:
    `getViewParam` in interface `RedirectType`
  Returns:
    the value of the 'View Param' containment reference list.
  See Also:
    `FacesConfigPackage.getRedirectType_ViewParam()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `RedirectType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `RedirectType.setId(String)`, `FacesConfigPackage.getRedirectType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `RedirectType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `RedirectType.getId()`

### isIncludeViewParams

    public boolean isIncludeViewParams()

  Specified by:
    `isIncludeViewParams` in interface `RedirectType`
  Returns:
    the value of the 'Include View Params' attribute.
  See Also:
    `RedirectType.setIncludeViewParams(boolean)`, `FacesConfigPackage.getRedirectType_IncludeViewParams()`

### setIncludeViewParams

    public void setIncludeViewParams(boolean newIncludeViewParams)

  Specified by:
    `setIncludeViewParams` in interface `RedirectType`
  Parameters:
    `newIncludeViewParams` - the new value of the 'Include View Params' attribute.
  See Also:
    `RedirectType.isIncludeViewParams()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()